%define major	1.5
%define minor	3
%define version	%major.%minor

Name:           guvcview
Version:        %{version}
Release:        %mkrel 1
Summary:        GTK+ UVC Viewer and Capturer
Group:          Video
License:        GPLv3+
URL:            http://guvcview.sourceforge.net/
Source0:        http://sourceforge.net/projects/%{name}/files/source/%{name}-src-%{version}.tar.gz

BuildRequires:  gtk+3-devel >= 3.0.0
BuildRequires:  gettext
BuildRequires:  SDL-devel >= 1.2.10
BuildRequires:  libpng-devel
BuildRequires:  portaudio-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libv4l-devel
BuildRequires:  libudev-devel

%description
A simple GTK interface for capturing and viewing video from devices
supported by the Linux UVC driver, although it should also work with
any v4l2 compatible device.

%prep
%setup -q -n %{name}-src-%{version}
find src -type f -exec chmod u=rw,go=r {} \;

%build
CPPFLAGS=-I/usr/include/ffmpeg
export CPPFLAGS
%configure --enable-pulse --disable-debian-menu
make

%install
make install DESTDIR=%{buildroot}

desktop-file-install \
        --add-category='X-AudioVideoCapture' \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

mv %{buildroot}%{_datadir}/doc/%{name} _doc
rm _doc/INSTALL

%files -f %{name}.lang
%doc _doc/*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog

* Tue Mar 06 2012 dams <dams> 1.5.3-1.mga2
+ Revision: 219484
- new version 1.5.3

* Mon Feb 06 2012 dams <dams> 1.5.2-1.mga2
+ Revision: 205590
- new version 1.5.2
- remove patch as merged upstream

* Mon Nov 14 2011 dams <dams> 1.5.1-2.mga2
+ Revision: 167747
- add a patch to fix 'g_thread' from upstream (SVN r815)

* Thu Nov 10 2011 dams <dams> 1.5.1-1.mga2
+ Revision: 166229
- update BR for 'gtk3' instead of 'gtk2'
- imported package guvcview

